<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence du fichier include/class/affichage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_e476b43ffada8fe94e322482066afde7.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier affichage.hpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe de l'affichange graphique du serveur général.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;tinyxml2.h&gt;</code><br />
<code>#include &lt;librsvg-2.0/librsvg/rsvg.h&gt;</code><br />
<code>#include &lt;gtk-3.0/gtk/gtk.h&gt;</code><br />
<code>#include &lt;cairo/cairo.h&gt;</code><br />
<code>#include &quot;<a class="el" href="log_8hpp_source.html">module/log.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gdata_8hpp_source.html">module/gdata.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Ce graphe montre quels fichiers incluent directement ou indirectement ce fichier :</div>
<div class="dyncontent">
<div class="center"><img src="affichage_8hpp__dep__incl.png" border="0" usemap="#include_2class_2affichage_8hppdep" alt=""/></div>
<map name="include_2class_2affichage_8hppdep" id="include_2class_2affichage_8hppdep">
<area shape="rect" id="node2" href="serveur_8hpp.html" title="Classe du serveur général. " alt="" coords="10,80,181,107"/>
</map>
</div>
</div>
<p><a href="affichage_8hpp_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html">Affichage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a89adc4ed9ab49d7e3ee5294c33d0bb6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="affichage_8hpp.html#a89adc4ed9ab49d7e3ee5294c33d0bb6a">WINDOW_DEFAULT_WIDTH</a>&#160;&#160;&#160;500</td></tr>
<tr class="separator:a89adc4ed9ab49d7e3ee5294c33d0bb6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ae24670d549290e4585ad5dc97f522"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="affichage_8hpp.html#a23ae24670d549290e4585ad5dc97f522">WINDOW_DEFAULT_HEIGHT</a>&#160;&#160;&#160;350</td></tr>
<tr class="separator:a23ae24670d549290e4585ad5dc97f522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3adf7b7b13572f2baf3379a8f2f4220a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="affichage_8hpp.html#a3adf7b7b13572f2baf3379a8f2f4220a">WINDOW_TITLE</a>&#160;&#160;&#160;&quot;GTK window&quot;</td></tr>
<tr class="separator:a3adf7b7b13572f2baf3379a8f2f4220a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Classe de l'affichange graphique du serveur général. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Erwan Aubry (<a href="#" onclick="location.href='mai'+'lto:'+'erw'+'an'+'.au'+'br'+'y@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">erwan<span style="display: none;">.nosp@m.</span>.aub<span style="display: none;">.nosp@m.</span>ry@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd>
<dd>
Marion Juré (<a href="#" onclick="location.href='mai'+'lto:'+'mar'+'io'+'n.j'+'ur'+'e@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">mario<span style="display: none;">.nosp@m.</span>n.ju<span style="display: none;">.nosp@m.</span>re@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2020-03-19</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2020 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des macros</h2>
<a id="a23ae24670d549290e4585ad5dc97f522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23ae24670d549290e4585ad5dc97f522">&#9670;&nbsp;</a></span>WINDOW_DEFAULT_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WINDOW_DEFAULT_HEIGHT&#160;&#160;&#160;350</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="affichage_8hpp_source.html#l00022">22</a> du fichier <a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>.</p>

</div>
</div>
<a id="a89adc4ed9ab49d7e3ee5294c33d0bb6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89adc4ed9ab49d7e3ee5294c33d0bb6a">&#9670;&nbsp;</a></span>WINDOW_DEFAULT_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WINDOW_DEFAULT_WIDTH&#160;&#160;&#160;500</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="affichage_8hpp_source.html#l00021">21</a> du fichier <a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>.</p>

</div>
</div>
<a id="a3adf7b7b13572f2baf3379a8f2f4220a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3adf7b7b13572f2baf3379a8f2f4220a">&#9670;&nbsp;</a></span>WINDOW_TITLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WINDOW_TITLE&#160;&#160;&#160;&quot;GTK window&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="affichage_8hpp_source.html#l00023">23</a> du fichier <a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
